<h1 matDialogTitle>Barang Terjual</h1>
<div mat-dialog-content>
    <h2>{{ item.itemId }} - {{ item.itemName }}</h2>
    <div>
        <mat-form-field class="input-block">
            <input matInput [(ngModel)]="PIC" placeholder="Person In Charge" name="PIC" id="PIC">
            <button mat-button *ngIf="PIC" matSuffix mat-icon-button aria-label="Clear" (click)="PIC=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div>
        <mat-form-field class="input-block">
            <input matInput CurrencyFormatter maxLength="15" [(ngModel)]="soldPrice" placeholder="Harga Jual (IDR)" name="soldPrice" id="soldPrice">
            <button mat-button *ngIf="soldPrice" matSuffix mat-icon-button aria-label="Clear" (click)="soldPrice=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div>
        <mat-form-field class="input-block">
                <input [(ngModel)]="soldDate" matInput type="date" placeholder="Tanggal Terjual" name="soldDate" id="soldDate">
        </mat-form-field>
    </div>
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="primary" (click)="sendData()">Terjual</button>
    <button mat-raised-button color="warn" (click)="dialogRef.close(false)">Batal</button>
</div>